org.keycloak.models.cache.infinispan.authorization

## Class StoreFactoryCacheManager

- java.lang.Object
- - org.keycloak.models.cache.infinispan.CacheManager
  - - org.keycloak.models.cache.infinispan.authorization.StoreFactoryCacheManager

-     public class StoreFactoryCacheManager
      extends CacheManager

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.models.cache.infinispan.CacheManager

      `cache, counter, revisions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StoreFactoryCacheManager(org.infinispan.Cache<String,Revisioned> cache, org.infinispan.Cache<String,Long> revisions)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addInvalidationsFromEvent(InvalidationEvent event, Set<String> invalidations)`
    `protected org.jboss.logging.Logger` | `getLogger()`
    `void` | `permissionTicketRemoval(String id, String owner, String requester, String resource, String resourceName, String scope, String serverId, Set<String> invalidations)`
    `void` | `permissionTicketUpdated(String id, String owner, String requester, String resource, String resourceName, String scope, String serverId, Set<String> invalidations)`
    `void` | `policyRemoval(String id, String name, Set<String> resources, Set<String> resourceTypes, Set<String> scopes, String serverId, Set<String> invalidations)`
    `void` | `policyUpdated(String id, String name, Set<String> resources, Set<String> resourceTypes, Set<String> scopes, String serverId, Set<String> invalidations)`
    `void` | `resourceRemoval(String id, String name, String type, Set<String> uris, String owner, Set<String> scopes, String serverId, Set<String> invalidations)`
    `void` | `resourceServerRemoval(String id, Set<String> invalidations)`
    `void` | `resourceServerUpdated(String id, Set<String> invalidations)`
    `void` | `resourceUpdated(String id, String name, String type, Set<String> uris, Set<String> scopes, String serverId, String owner, Set<String> invalidations)`
    `void` | `scopeRemoval(String id, String name, String serverId, Set<String> invalidations)`
    `void` | `scopeUpdated(String id, String name, String serverId, Set<String> invalidations)`

    - ### Methods inherited from class org.keycloak.models.cache.infinispan.CacheManager

      `addInvalidations, addRevisioned, addRevisioned, bumpVersion, clear, endRevisionBatch, get, getCache, getCurrentCounter, getCurrentRevision, invalidateObject, invalidationEventReceived, sendInvalidationEvents`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StoreFactoryCacheManager

          public StoreFactoryCacheManager(org.infinispan.Cache<String,Revisioned> cache,
                                          org.infinispan.Cache<String,Long> revisions)

  - ### Method Detail

    - #### getLogger

          protected org.jboss.logging.Logger getLogger()

      Specified by:
        `getLogger` in class `CacheManager`

    - #### addInvalidationsFromEvent

          protected void addInvalidationsFromEvent(InvalidationEvent event,
                                                   Set<String> invalidations)

      Specified by:
        `addInvalidationsFromEvent` in class `CacheManager`

    - #### resourceServerUpdated

          public void resourceServerUpdated(String id,
                                            Set<String> invalidations)

    - #### resourceServerRemoval

          public void resourceServerRemoval(String id,
                                            Set<String> invalidations)

    - #### scopeUpdated

          public void scopeUpdated(String id,
                                   String name,
                                   String serverId,
                                   Set<String> invalidations)

    - #### scopeRemoval

          public void scopeRemoval(String id,
                                   String name,
                                   String serverId,
                                   Set<String> invalidations)

    - #### resourceUpdated

          public void resourceUpdated(String id,
                                      String name,
                                      String type,
                                      Set<String> uris,
                                      Set<String> scopes,
                                      String serverId,
                                      String owner,
                                      Set<String> invalidations)

    - #### resourceRemoval

          public void resourceRemoval(String id,
                                      String name,
                                      String type,
                                      Set<String> uris,
                                      String owner,
                                      Set<String> scopes,
                                      String serverId,
                                      Set<String> invalidations)

    - #### policyUpdated

          public void policyUpdated(String id,
                                    String name,
                                    Set<String> resources,
                                    Set<String> resourceTypes,
                                    Set<String> scopes,
                                    String serverId,
                                    Set<String> invalidations)

    - #### permissionTicketUpdated

          public void permissionTicketUpdated(String id,
                                              String owner,
                                              String requester,
                                              String resource,
                                              String resourceName,
                                              String scope,
                                              String serverId,
                                              Set<String> invalidations)

    - #### policyRemoval

          public void policyRemoval(String id,
                                    String name,
                                    Set<String> resources,
                                    Set<String> resourceTypes,
                                    Set<String> scopes,
                                    String serverId,
                                    Set<String> invalidations)

    - #### permissionTicketRemoval

          public void permissionTicketRemoval(String id,
                                              String owner,
                                              String requester,
                                              String resource,
                                              String resourceName,
                                              String scope,
                                              String serverId,
                                              Set<String> invalidations)

Copyright © 2021 JBoss by Red Hat. All rights reserved.